Subject: [alpine-devel] New aport - dmidecode; update to flashrom

From: Nathan Angelacos <[email-masked]>
Date: Thu, 19 Aug 2010 14:38:13 -0700

flashrom wants to run dmidecode, so built an aport for it

updated the flashrom package to issue a warning if it is installed on a 
grsec kernel:

#apk add flashrom
(1/1) Installing flashrom (0.9.2-r1)
Executing flashrom-0.9.2-r1.post-install

  ************[  flashrom package installation notice ]****************

           You appear to be running a grsec enabled kernel.
    flashrom needs write access to /dev/mem and will likely not work

  *********************************************************************
#

>From 1de1d1a873507a41a00bfee38d4ccc2bf609a3f0 Mon Sep 17 00:00:00 2001
From: Nathan Angelacos <[email-masked]>
Date: Thu, 19 Aug 2010 21:19:55 +0000
Subject: [PATCH]   testing/dmidecode:  new aport (dependency for flashrom)

     dmidecode reports system hardware information stored in BIOS

  testing/flashrom:  r1 - add dependency on dmidecode
                          print warning if installed on grsec kernel
---
 testing/dmidecode/10-Makefile.patch    |   13 +++++++++++
 testing/dmidecode/APKBUILD             |   37 ++++++++++++++++++++++++++++++++
 testing/flashrom/APKBUILD              |    9 ++++---
 testing/flashrom/flashrom.post-install |   15 +++++++++++++
 4 files changed, 70 insertions(+), 4 deletions(-)
 create mode 100644 testing/dmidecode/10-Makefile.patch
 create mode 100644 testing/dmidecode/APKBUILD
 create mode 100755 testing/flashrom/flashrom.post-install

diff --git a/testing/dmidecode/10-Makefile.patch b/testing/dmidecode/10-Makefile.patch
new file mode 100644
index 0000000..a964ec6
--- /dev/null
+++ b/testing/dmidecode/10-Makefile.patch
@@ -0,0 +1,13 @@
+--- src/Makefile.orig
++++ src/Makefile
+@@ -21,8 +21,8 @@
+ # Pass linker flags here
+ LDFLAGS =
+ 
+-DESTDIR =
+-prefix  = /usr/local
++DESTDIR = $(pkgdir)
++prefix  = /usr
+ sbindir = $(prefix)/sbin
+ mandir  = $(prefix)/share/man
+ man8dir = $(mandir)/man8
diff --git a/testing/dmidecode/APKBUILD b/testing/dmidecode/APKBUILD
new file mode 100644
index 0000000..742becd
--- /dev/null
+++ b/testing/dmidecode/APKBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Nathan Angelacos <[email-masked]>
+pkgname=dmidecode
+pkgver=2.9
+pkgrel=0
+pkgdesc="A utility for reporting system hardware as described by BIOS"
+url="http://www.nongnu.org/dmidecode"
+license="GPL"
+depends=
+makedepends=
+subpackages="$pkgname-doc"
+source="http://mirror.its.uidaho.edu/pub/savannah/dmidecode/dmidecode-${pkgver}.tar.gz
+	10-Makefile.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	# apply patches here
+	for i in "$srcdir"/*.patch; do
+		[ -f "$i" ] || continue
+		msg "Applying $i"
+		patch -p1 -i "$i" || return 1
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make pkgdir=${pkgdir} install  
+}
+
+md5sums="1f804692168178c19a8ec86d147fbc77  dmidecode-2.9.tar.gz
+8b928ec97c7c387db425a8176f9ee65c  10-Makefile.patch"
diff --git a/testing/flashrom/APKBUILD b/testing/flashrom/APKBUILD
index 6242060..7864cd6 100644
--- a/testing/flashrom/APKBUILD
+++ b/testing/flashrom/APKBUILD
@@ -1,14 +1,15 @@
-Contributor: [email-masked]
-# Maintainer: 
+# Contributor: 
+# Maintainer: Nathan Angelacos <[email-masked]>
 pkgname=flashrom
 pkgver=0.9.2
-pkgrel=0
+pkgrel=1
 pkgdesc="A utility for identifying, reading, writing, verifying and erasing flash chips"
 url="http://www.flashrom.org/Flashrom"
 license="GPL"
-depends=
+depends=dmidecode
 makedepends=pciutils-dev
 subpackages="$pkgname-doc"
+install="$pkgname.post-install"
 source="http://qa.coreboot.org/releases/flashrom-0.9.2.tar.bz2"
 
 _builddir="$srcdir"/$pkgname-$pkgver
diff --git a/testing/flashrom/flashrom.post-install b/testing/flashrom/flashrom.post-install
new file mode 100755
index 0000000..b7919f5
--- /dev/null
+++ b/testing/flashrom/flashrom.post-install
@@ -0,0 +1,15 @@
+#!/bin/sh
+if [ -e /proc/sys/kernel/grsecurity/ ]; then
+cat - <<EOF
+
+ ************[  flashrom package installation notice ]****************
+ 
+          You appear to be running a grsec enabled kernel.
+   flashrom needs write access to /dev/mem and will likely not work
+ 
+ *********************************************************************
+
+EOF
+fi
+exit 0
+
-- 
1.7.2.1

---

From: Natanael Copa <[email-masked]>
Date: Fri, 20 Aug 2010 14:00:26 +0200

> flashrom wants to run dmidecode, so built an aport for it

great!

The patch for makefile is not really necessary since you can override
variables from command line:

# overriding prefix here is not needed unless there are
# hardcoded pathts in the binary. we add it just in case.
make prefix=/usr

...

# install to $pkgdir
make DESTDIR="$pkgdir" prefix=/usr install

>     flashrom needs write access to /dev/mem and will likely not work

Sounds good. Thanks!

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---